package com.trace.drawing.people.item;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.trace.drawing.people.callbacl.OnClickCallback;
import com.trace.drawing.people.databinding.RecyclerChildBinding;
import com.trace.drawing.people.tools.Common;

import java.util.List;

public class MainChildItem extends RecyclerView.Adapter<MainChildItem.ChildVH> {


    private Context mCon;
    private List<String> data;

    private OnClickCallback listener;


    public void setListener(OnClickCallback listener) {
        this.listener = listener;
    }

    public MainChildItem(Context mCon, List<String> bitmapList ) {
        this.mCon = mCon;
        data = bitmapList;

    }


    @NonNull
    @Override
    public ChildVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {


        return new ChildVH( RecyclerChildBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull ChildVH holder, int position) {

        String name = data.get(position);
      Common.loadImageFromAssets(mCon, name, holder.binding.imPreview, bitmap -> {

      });
//        holder.binding.imPreview.setImageBitmap(bitmap);
        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (listener != null) {
                    listener.onClickItem(1, name);
                }
            }
        });



    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class ChildVH extends RecyclerView.ViewHolder {


        private RecyclerChildBinding binding;


        public ChildVH(@NonNull RecyclerChildBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
